capt log close
log using peskoC529repl, replace
clear all
set more off
set rmsg on
// use "/Users/cfbaum/Downloads/brfss_99_01.dta"
/*
set seed 20130603
sample 10
drop if year~=1999 & year~=2000 & year~=2001
replace smkprev=77 if smkprev==4
replace smkprev=4 if smkprev==1
replace smkprev=1 if smkprev==3
replace smkprev=3 if smkprev==4
generate incomemisssq = incomemiss^2
generate agecontsq = agecont^2
generate lndistance_county2 = -1*(log(distance_county2*-1))
generate _911dist = _911terrorism0*lndistance_county2
generate timeddist = timed911*lndistance_county2
generate timedsq = timed911*timed911 
generate timedsqdist = timed911*timed911*lndistance_county2
compress
save cmpbug, replace
*/
use cmpbug
svyset
which cmp
cmp setup

cmp (alcoholhighrisk2 = unemployrate pricecpi_alcohol2001 i.pubno i.sex ///
i.iraceethnicity c.agecont##c.agecont i.iedu i.iemployment i.imarriage ///
c.incomemiss##c.incomemiss i.state i.year i.month) ///
(stress = unemployrate pricecpi_alcohol2001 i.pubno i.sex i.iraceethnicity ///
c.agecont##c.agecont i.iedu i.iemployment i.imarriage c.incomemiss##c.incomemiss ///
i.state i.year i.month i._911terrorism0##c.lndistance_county2), indicators($cmp_probit $cmp_cont) nrtolerance(.01)

svy, subpop(if (date<15229 | (quarter==4 & year==2001))): ///
cmp (alcoholhighrisk2 = unemployrate pricecpi_alcohol2001 i.pubno i.sex ///
i.iraceethnicity c.agecont##c.agecont i.iedu i.iemployment i.imarriage ///
c.incomemiss##c.incomemiss i.state i.year i.month) ///
(stress = unemployrate pricecpi_alcohol2001 i.pubno i.sex i.iraceethnicity ///
c.agecont##c.agecont i.iedu i.iemployment i.imarriage c.incomemiss##c.incomemiss ///
i.state i.year i.month i._911terrorism0##c.lndistance_county2), indicators($cmp_probit $cmp_cont) nrtolerance(.01)

log close
set more on
set rmsg off

